def lunar_addition(a, b):
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)
    
    result_add = []

    for digit_a, digit_b in zip(a, b):
        result_add.append(str(max(int(digit_a), int(digit_b))))
    
    return ' '.join(result_add)  
def lunar_multiplication(a, b):
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)
    result_mul = []
    for digit_a, digit_b in zip(a, b):
        result_mul.append(str(min(int(digit_a), int(digit_b))))
    return ' '.join(result_mul)  
a = input().strip()
b = input().strip()
lunar_sum = lunar_addition(a, b)
lunar_product = lunar_multiplication(a, b)

print(lunar_sum)
print(lunar_product)